/**
 * Created with JetBrains WebStorm.
 * User: ankit.goel
 * Date: 10/10/12
 * Time: 5:12 PM
 * To change this template use File | Settings | File Templates.
 */
ig.module(
    'game.entities.foodconsumed100'
)
    .requires(
    'impact.entity'
 )
    .defines(function () {
        EntityFoodConsumed100 = ig.Entity.extend({
            collides:ig.Entity.COLLIDES.NEVER,
            type:ig.Entity.TYPE.NONE,
			checkAgainst:ig.Entity.TYPE.NONE,
            pixcaltype:"ignore",
            size:{x:142, y:125},
            animSheet:new ig.AnimationSheet('media/100.png',142,125),
            bounciness:1,
            worth:global_score_control.getWorth(3),
            temp:0,
            init:function (x, y, settings) {
                this.parent(x, y, settings);
                this.addAnim('idle',1,[0]);
                this.maxVel.x = 500;
                this.maxVel.y = 500;
                //  this.update();
            },
            update:function(){
               this.temp= ig.game.getEntityByName("player_organism");
                this.vel.x = this.temp.vel.x;
                this.vel.y = this.temp.vel.y;
                this.parent();
            }
        });
    });